Graph Edges
Graph Edges
POST /api/v1/graphs/{id}/versions/{version_id}/edges
Create Edge
createEdge creates a new edge between nodes
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
version_id | path | string | true |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
https://api.seeme.ai/api/v1/graphs/{id}/versions/{version_id}/edgesDELETE /api/v1/graphs/{id}/versions/{version_id}/edges
Delete Edge
deleteEdge deletes an edge between nodes
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
version_id | path | string | true |
Example
curl -X DELETE \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/graphs/{id}/versions/{version_id}/edgesPOST /api/v1/graphs/{id}/versions/{version_id}/edges/bulk
Create Edges
createEdges creates multiple edges in bulk
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
version_id | path | string | true |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
https://api.seeme.ai/api/v1/graphs/{id}/versions/{version_id}/edges/bulk